module.exports = (data) => `
server {
  server_name localhost${data.wp.multisite ? ` ${data.slug}.local *.${data.slug}.local` : ''};

  client_max_body_size  32M;
  proxy_connect_timeout 300;
  proxy_send_timeout    300;
  proxy_read_timeout    300;
  send_timeout          300;

  root /var/www/html;
  index index.php index.html index.htm;

  include /etc/nginx/global/restrictions.conf;
  include /etc/nginx/global/wordpress.conf;

  # Pass all .php files onto a php-fpm/php-fcgi server.
  location ~ [^/]\.php(/|$) {
    fastcgi_split_path_info ^(.+?\.php)(/.*)$;
    if (!-f $document_root$fastcgi_script_name) {
      return 404;
    }
    # This is a robust solution for path info security issue and works with "cgi.fix_pathinfo = 1" in /etc/php.ini (default)

    include fastcgi_params;
    fastcgi_index index.php;
    fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
  # fastcgi_intercept_errors on;
    fastcgi_pass wp:9000;
    fastcgi_keep_conn on;
  }
}
`;